Azure
action AKS

# delete_node

Delete a node at random from a managed Azure Kubernetes Service

Run it now
View details

Type | action
Module | chaosazure.aks.actions
Name | delete_node
Return | None

Usage

JSON

    {
      "name": "delete-node",
      "type": "action",
      "provider": {
        "type": "python",
        "module": "chaosazure.aks.actions",
        "func": "delete_node"
      }
    }

YAML

    name: delete-node
    provider:
      func: delete_node
      module: chaosazure.aks.actions
      type: python
    type: action

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
filter | string | null | No | Filter | Target filter selector

Be aware: Deleting a node is an invasive action. You will not be able to recover the node once you deleted it.

Signature

    def delete_node(filter: str = None,
                    configuration: Dict[str, Dict[str, str]] = None,                secrets: Dict[str, Dict[str, str]] = None):
        pass

## Related starters

- Azure
  action AKS

  ## `restart_node`

  Restart a node at random from a managed Azure Kubernetes Service
- Azure
  action AKS

  ## `stop_node`

  Stop a node at random from a managed Azure Kubernetes Service
- Azure
  action Machine

  ## `network_latency`

  Increases the response time of the virtual machine